FROM php:8-apache

# Add composer from Docker image (multi-stage build)
COPY --from=composer:latest /usr/bin/composer /usr/bin/composer

# Install required extensions
RUN apt-get update && \
    apt-get upgrade -y && \
    apt-get install -y git zip unzip && \
    docker-php-ext-install pdo pdo_mysql

# Change Apache document root
RUN sed -ri -e 's!/var/www/html!/var/www/html/public!g' /etc/apache2/sites-available/*.conf

# Copy project files
WORKDIR /var/www/html
COPY . .

# Install dependencies
RUN composer install

# Listening port
EXPOSE 8080
